<template>
	<v-layout text-xs-center wrap>
		<v-flex mb-5 xs12>
			<Parallax
				title="about.welcomeTitle"
				message="about.aboutMyself"
				image="viena.jpg"
			/>
		</v-flex>
		<v-flex mb-5 xs10 offset-xs1>
			<v-timeline>
				<v-timeline-item
					v-for="item in $t('about.timeline').length"
					:key="$t('about.timeline[' + (item - 1) + '].title')"
					color="red lighten-2"
					large
				>
					<span slot="opposite">{{
						$t("about.timeline[" + (item - 1) + "].date")
					}}</span>
					<v-card class="elevation-2">
						<v-card-title class="headline">{{
							$t("about.timeline[" + (item - 1) + "].title")
						}}</v-card-title>
						<v-card-text
							v-html="$t('about.timeline[' + (item - 1) + '].description')"
						/>
					</v-card>
				</v-timeline-item>
			</v-timeline>
		</v-flex>
	</v-layout>
</template>

<script lang="ts">
import Vue from "vue";
import VueI18n from "vue-i18n";
import Parallax from "@/components/vuetify/Parallax.vue";

export default {
	components: {
		Parallax,
	},
};
</script>
